Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# treemodel.h File Reference

A GtkTreePath, GtkTreeIter, GtkTreeModel, and GtkTreeRowReference C++ wrapper interface. More...

`#include <inti/glib/boxed.h>`
`#include <inti/glib/type.h>`
`#include <inti/glib/value.h>`
`#include <gtk/gtktreemodel.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::G
- namespace Inti::Gtk

## Detailed Description

A GtkTreePath, GtkTreeIter, GtkTreeModel, and GtkTreeRowReference C++ wrapper interface.

Provides TreeIter, TreePath, TreeModel and TreeRowReference, a set of objects that defines a generic tree interface for use by the TreeView widget. It is an abstract interface, and is designed to be usable with any derived class.
Main Page - Footer